Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Attributes | List of all members
agora::rtc::ILocalUser::ANAStats Struct Reference

`#include <NGIAgoraLocalUser.h>`

## Public Attributes
agora::Optional< uint32_t > | bitrate_action_counter
agora::Optional< uint32_t > | channel_action_counter
agora::Optional< uint32_t > | dtx_action_counter
agora::Optional< uint32_t > | fec_action_counter
agora::Optional< uint32_t > | frame_length_increase_counter
agora::Optional< uint32_t > | frame_length_decrease_counter
agora::Optional< float > | uplink_packet_loss_fraction

## Detailed Description

The statistics related to audio network adaptation (ANA).

## Member Data Documentation

## ◆ bitrate_action_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::bitrate_action_counter

The number of actions taken by the ANA bitrate controller since the start of the call.

If you do not set this parameter, the ANA bitrate controller is disabled.

## ◆ channel_action_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::channel_action_counter

The number of actions taken by the ANA channel controller since the start of the call.

If you do not set this parameter, the ANA channel controller is disabled.

## ◆ dtx_action_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::dtx_action_counter

The number of actions taken by the ANA DTX controller since the start of the call.

If you do not set this parameter, the ANA DTX controller is disabled.

## ◆ fec_action_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::fec_action_counter

The number of actions taken by the ANA FEC (Forward Error Correction) controller since the start of the call.

If you do not set this parameter, the ANA FEC controller is disabled.

## ◆ frame_length_increase_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::frame_length_increase_counter

The number of times that the ANA frame length controller increases the frame length since the start of the call.

If you do not set this parameter, the ANA frame length controller is disabled.

## ◆ frame_length_decrease_counter

agora::Optional<uint32_t> agora::rtc::ILocalUser::ANAStats::frame_length_decrease_counter

The number of times that the ANA frame length controller decreases the frame length since the start of the call.

If you so not set this parameter, the ANA frame length controller is disabled.

## ◆ uplink_packet_loss_fraction

agora::Optional<float> agora::rtc::ILocalUser::ANAStats::uplink_packet_loss_fraction

The uplink packet loss fractions set by the ANA FEC controller.

If you do not set this parameter, the ANA FEC controller is not active.